# classes/phing/BuildLogger.php

Interface for build loggers.

Build loggers are build listeners but with some additional functionality: - They can be configured with a log level (below which they will ignore messages) - They have error and output streams

Classes that implement a listener must implement this interface.

author
  Hans Lellelid
package
  phing
see
  \BuildEvent
see
  \Project::addBuildListener()
version
  $Revision: 552 $

## \BuildLogger
jump to top

Interface for build loggers.

Build loggers are build listeners but with some additional functionality: - They can be configured with a log level (below which they will ignore messages) - They have error and output streams

Classes that implement a listener must implement this interface.

Extends from
  \BuildListener
see
  \BuildEvent
see
  \Project::addBuildListener()
author
  Hans Lellelid
package
  phing
version
  $Revision: 552 $

### Methods

`setErrorStream( \OutputStream $err ) :`
Sets the output stream to use for errors.
Parameters

Name | Type | Description
--- | --- | ---
$err | \OutputStream | Configured output stream (e.g. STDERR) for errors.

`setMessageOutputLevel( int $level ) :`
Sets the min log level that this logger should respect.

Messages below this level are ignored.

Constants for the message levels are in Project.php. The order of the levels, from least to most verbose, is: - Project::MSG_ERR - Project::MSG_WARN - Project::MSG_INFO - Project::MSG_VERBOSE - Project::MSG_DEBUG

Parameters

Name | Type | Description
--- | --- | ---
$level | int | The log level integer (e.g. Project::MSG_VERBOSE, etc.).

`setOutputStream( \OutputStream $output ) :`
Sets the standard output stream to use.
Parameters

Name | Type | Description
--- | --- | ---
$output | \OutputStream | Configured output stream (e.g. STDOUT) for standard output.

Documentation was generated by DocBlox 0.13.1.